package com.example.happy_bird;
import java.awt.Graphics2D;
import java.awt.Image;
import java.awt.image.ImageObserver;

public abstract class SpielObjekt {
    private int xWert;
    private int yWert;
    private int fxWert;
    private int fyWert;
    private int breite;
    private int hoehe;
    private Image bild;

    public SpielObjekt(int xWert, int yWert) {
        this.xWert = xWert;
        this.yWert = yWert;
    }

    public int getyWert() {
        return yWert;
    }

    public void setyWert(int yWert) {
        this.yWert = yWert;
    }

    public int getxWert() {
        return xWert;
    }

    public void setxWert(int xWert) {
        this.xWert = xWert;
    }

    public int getFxWert() {
        return fxWert;
    }

    public void setFxWert(int fxWert) {
        this.fxWert = fxWert;
    }

    public int getFyWert() {
        return fyWert;
    }

    public void setFyWert(int fyWert) {
        this.fyWert = fyWert;
    }

    public int getBreite() {
        return breite;
    }

    public void setBreite(int breite) {
        this.breite = breite;
    }

    public int getHoehe() {
        return hoehe;
    }

    public void setHoehe(int hoehe) {
        this.hoehe = hoehe;
    }

    public Image getBild() {
        return bild;
    }

    public void setBild(Image bild) {
        this.bild = bild;
    }


    public abstract void tick();

    public abstract void render(Graphics2D g, ImageObserver obs);
}